package com.eteration.orderservice.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import com.eteration.orderservice.dto.CustomerDTO;

@Component
public class CustomerClientService {
	
	@Autowired
	private RestTemplate restTemplate;
	
	@Value("${client.customer-service.url}")
	private String baseUrl;
	
	public CustomerDTO readCustomerById(long customerId) {
		return restTemplate.getForObject(baseUrl + "/customers/"+customerId, CustomerDTO.class);
	}

}
