package com.eteration.orderservice.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import com.eteration.orderservice.dto.ProductDTO;

@Component
public class ProductClientService {
	
	@Autowired
	private RestTemplate restTemplate;
	
	@Value("${client.product-service.url}")
	private String baseUrl;
	
	public ProductDTO readProductById(long productId) {
		return restTemplate.getForObject(baseUrl + "/products/"+productId, ProductDTO.class);
	}

}
