package com.eteration.orderservice.service;

import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;

import com.eteration.orderservice.client.CustomerClientService;
import com.eteration.orderservice.client.ProductClientService;
import com.eteration.orderservice.dto.CustomerDTO;
import com.eteration.orderservice.dto.OrderRequestDTO;
import com.eteration.orderservice.dto.OrderResponseDTO;
import com.eteration.orderservice.dto.ProductDTO;

@Service
public class OrderService {
	
	@Autowired
	public CustomerClientService customerClientService;

	@Autowired
	public ProductClientService productClientService;
	
	public OrderResponseDTO createOrder(@RequestBody OrderRequestDTO orderRequest)
	{
		OrderResponseDTO orderResponseDTO = new OrderResponseDTO();
		
		CustomerDTO customerDTO = customerClientService.readCustomerById(orderRequest.getCustomerId());
		
		ProductDTO productDTO = productClientService.readProductById(orderRequest.getProductId());

		orderResponseDTO.setMessage("Dear customer "+customerDTO.getName() +" "+customerDTO.getSurname() +
		" your order "+productDTO.getName()+" is send to your address: "+customerDTO.getAddress());

		
		orderResponseDTO.setOrderId(UUID.randomUUID().toString());


		orderResponseDTO.setTotalAmount(productDTO.getPrice() * orderRequest.getCount() );

		return orderResponseDTO;
	}
	
}
